Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.jwcache
Class CacheBlock

`java.lang.Object
oracle.jsp.jwcache.CacheBlock`

All Implemented Interfaces:
  java.io.Serializable

public class CacheBlock
extends java.lang.Object
implements java.io.Serializable

`CacheBlock` class that represents the basic meta-data and actual cache data of cache block. The basic meta-data includes the creation time and the expiration time of a cache block.

The actual cache data must be serializable, in order for the cache storage to write to persistent storage.

See Also:
  Serialized Form

Constructor Summary
`CacheBlock(long creationTime, long expirationTime, java.lang.Object data)` Constructor for Cache Block objects

Method Summary
`long` | `getCreationTime()` To get the creation time of a cache block
`java.lang.Object` | `getData()` To get the actual cache data of a cache block
`long` | `getExpirationTime()` To get the expiration time of a cache block
`java.lang.String` | `toString()` To get the description string of this cache block for debugging purpose

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheBlock

    public CacheBlock(long creationTime,
                      long expirationTime,
                      java.lang.Object data)

  Constructor for Cache Block objects

  Users should do not need to call this constructor themselves, when they need to store data into the cache. `Cache Repository` will construct a Cache Block object to contain the meta data and actual cached data, when users request a piece of cache from the repository.

Parameters:
  `creationTime` - the creation time of a cache block
  `expirationTime` - the expiration time of a cache block
  `data` - the actual cache data

Method Detail

### getCreationTime

    public long getCreationTime()

  To get the creation time of a cache block
  Returns:
    the creation time of a cache block

### getExpirationTime

    public long getExpirationTime()

  To get the expiration time of a cache block
  Returns:
    the expiration time of a cache block

### getData

    public java.lang.Object getData()

  To get the actual cache data of a cache block
  Returns:
    the actual cache data of a cache block

### toString

    public java.lang.String toString()

  To get the description string of this cache block for debugging purpose
  Returns:
    the description string of this cache block for debugging purpose

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, Oracle. All rights reserved.